.header-wrapper {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
}

header a {
    text-decoration: none;
}

.header-buttons {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
}

.header-contacts-button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    width: 42px;
    height: 42px;
}

.header-contacts-button svg {
    fill: var(--brand);
    transition: transform .3s;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.header-contacts-button:hover svg {
    transform: scale(1.05);
}

.header-contacts-button.active svg {
    transform: rotate(10deg);
}

.header-contacts {
    position: absolute;
    top: 100%;
    opacity: 0;
    right: 0;
    z-index: 98;
    padding: 1.5rem 1rem 1rem;
    transform: translateY(-10px) scaleY(0);
    transform-origin: top;
    overflow: hidden;
    visibility: hidden;
    transition: all 0.2s cubic-bezier(0.2, 0, 0.2, 1);
}

.header-contacts-wrapper {
    padding: 1em;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 1.25em;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    border-radius: var(--border-radius);
    background-color: var(--bg);
    color: var(--text)
}

.header-contacts-has-icon {
    position: relative;
    padding-right: 1.5rem;
}

.header-contacts-has-icon>img,
.header-contacts-has-icon>svg {
    position: absolute;
    top: 0;
    right: 0;
    width: 1.25rem;
}

.header-contacts-has-icon>svg {
    fill: var(--brand);
}

.header-contacts-address p {
    text-align: right;
    white-space: normal;
    margin: 0;
    max-width: 20rem;
}

.header-contacts.active {
    visibility: visible;
    opacity: 1;
    transform: translateY(0) scaleY(1);
}

.header-contacts a {
    font-weight: 600;
    text-decoration: none;
    display: block;
    margin-bottom: 0.3125rem;
}

.header-contacts-social {
    display: flex;
    gap: 0.5rem;
    justify-content: flex-end;
}

.header-contacts-social a {
    display: block;
    width: 1.8rem;
    transition: filter .3s;
    filter: grayscale(1);
}

.header-contacts-social a:hover {
    filter: grayscale(0);
}

@media (max-width: 1480px) {

    .header-menu-button,
    .header-contacts-button {
        padding: 0.25rem;
    }

    .header-buttons {
        margin-left: auto;
    }
}

@media (max-width: 1024px) {
    .header-wrapper {
        display: flex;
        justify-content: space-between;
    }
}

@media (max-width: 620px) {
    .header-contacts-phone-first {
        display: none;
    }
}

@media (max-width: 460px) {
    .header-phone {
        display: none;
    }
}